Create a property import job
curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/property-import-jobs/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/property-import-jobs/"
payload = { "url": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/property-import-jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "zillow",
"project_real_estate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"status": "queued",
"total_image_count": 123,
"queued_image_count": 123,
"completed_image_count": 123,
"failed_image_count": 123,
"finished_image_count": 123,
"pending_image_count": 123,
"progress_percent": 123,
"is_finished": true,
"has_failures": true,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "zillow",
"project_real_estate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"status": "queued",
"total_image_count": 123,
"queued_image_count": 123,
"completed_image_count": 123,
"failed_image_count": 123,
"finished_image_count": 123,
"pending_image_count": 123,
"progress_percent": 123,
"is_finished": true,
"has_failures": true,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Real Estate Jobs
Create a property import job
Create and queue one job that imports property data from a supported URL.
POST
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
property-import-jobs
/
Create a property import job
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Input serializer for creating a property import job.
Maximum string length:
1024Response
Serializer for property import job status polling.
zillow- Zillow
Available options:
zillow Source listing URL.
Current job status.
queued- Queuedprocessing- Processingexpired- Expiredcancelled- Cancelledcompleted- Completedfailed- Failed
Available options:
queued, processing, expired, cancelled, completed, failed Error details if job failed.
Datetime when the record was created.
Datetime when the record was last updated.
Was this page helpful?